/*.pharmacy-detail .search_nearest_pharmacy .right,*/
.pege-title h1{
    font-size: 42px!important;
    font-weight: 700!important;
    line-height: 42px!important;
    margin: 3rem 0 20px!important;
}

.pharmacy-detail .search_nearest_pharmacy {
    width: auto;
}

.pharmacy-detail .search_nearest_pharmacy .container {
    padding: 0;
}

.pharmacy-detail {
    color: #1E1E1E;
    margin-bottom: 98px;
    user-select: none;
}

.pharmacy-detail--red .pharmacy-detail__link {
    background: #F72636;
    border-radius: 14px;
}

.pharmacy-detail--red .pharmacy-detail__all-promotions {
    color: #F72636;
}

.pharmacy-detail .container {
    padding: 0 95px;
    max-width: 1470px;
}

.pharmacy-detail__main {
    display: grid;
    grid-template-columns: 1.41843fr 1fr;
    column-gap: 20px;
    padding-bottom: 23px;
    border-bottom: 1px solid #F1F1F7;
    margin-bottom: 55px;
}

.pharmacy-detail__list {
    display: flex;
    flex-direction: column;
    row-gap: 12px;
    margin-bottom: 24px;
}

.pharmacy-detail__main .search_nearest_pharmacy .contents {
    grid-template-columns: 100%;
}

.pharmacy-detail__list--detail .pharmacy-detail__item {
    font-size: 20px;
    line-height: 23.44px;
}

.pharmacy-detail__item {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 10px;
    font-size: 16px;
    font-weight: 400;
    line-height: 18.75px;
}

.pharmacy-detail__item span,
.pharmacy-detail__item a {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 6px;
}

.pharmacy-detail__item a {
    transition: color 0.3s ease;
}

.pharmacy-detail__item a:hover {
    color: #FF0000;
}

button.pharmacy-detail__favorite {
    display: flex;
    align-items: center;
    column-gap: 7px;
    background-color: transparent!important;
    color: #FF0000!important;
    border: none!important;
    border-radius: 0!important;
    height: auto!important;
    min-width: auto!important;
    padding: 0!important;
    font-size: 16px;
    font-weight: 400;
    line-height: 18.75px!important;
    cursor: pointer;
}

.pharmacy-detail__favorite.is-active .pharmacy-detail__heart--fill {
    opacity: 1;
    visibility: visible;
}

.pharmacy-detail__favorite.is-active .pharmacy-detail__heart--default {
    opacity: 0;
    visibility: hidden;
}

.pharmacy-detail__heart {
    width: 24px;
    height: 24px;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.pharmacy-detail__heart--fill {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
}

.pharmacy-detail__subtitle {
    display: block;
    margin-bottom: 10px;
    font-size: 20px;
    font-weight: 700;
    line-height: 23.44px;
}

.pharmacy-detail__description {
    font-size: 16px;
    font-weight: 400;
    line-height: 18.75px;
}

.pharmacy-detail__button-select {
    margin-top: 16px;
    width: 100%;
}

.pharmacy-detail .information {
    margin-top: 28px;
    width: 100%;
    margin-bottom: 0;
}

.pharmacy-detail__middle {
    margin-bottom: 55px;
}

.pharmacy-detail__others {
    display: block;
    font-size: 36px;
    font-weight: 700;
    line-height: 42.19px;
    color: #1E1E1E;
    margin-bottom: 30px;
}

.pharmacy-detail__slide .pharmacy-detail__list {
    row-gap: 10px;
    margin-bottom: 10px;
}

.pharmacy-detail__slide .pharmacy-detail__item span,
.pharmacy-detail__slide .pharmacy-detail__item a {
    column-gap: 8px;
}

.pharmacy-detail__slide {
    display: flex!important;
    flex-direction: column;
    border-bottom: 1px solid #F1F1F7;
    padding-bottom: 10px;
    height: auto!important;
    user-select: none;
}

.pharmacy-detail__link {
    align-self: flex-end;
    margin-top: auto;
}

.pharmacy-detail__navigation {
    transition: opacity 0.3s ease;
    width: 60px!important;
    height: 60px!important;
    top: 50% !important;
    transform: translateY(calc(-50% - 20px));
    margin-top: 0!important;
    background-color: #fff;
    box-shadow: 0 4px 14px 0 rgba(0, 0, 0, 0.14);
    border-radius: 30px;
    -webkit-tap-highlight-color: rgba(0,0,0,0) !important;
    -webkit-tap-highlight-color: transparent!important;
}

.pharmacy-detail__navigation:hover svg path {
    stroke: rgba(23, 37, 0, 0.5);
}

.pharmacy-detail__navigation svg {
    width: 9px!important;
    height: 14px!important;
}

.pharmacy-detail__navigation svg path {
    transition: stroke 0.3s ease!important;
}

.pharmacy-detail__navigation::after {
    display: none;
}

.pharmacy-detail__navigation--prev {
    left: -80px!important;
}

.pharmacy-detail__navigation--next {
    right: -80px!important;
}

.pharmacy-detail__navigation--prev svg {
    transform: rotate(-180deg);
}

.pharmacy-detail__top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 25px;
}

.pharmacy-detail__promotions-title {
    font-size: 36px;
    font-weight: 700;
    line-height: 42.19px;
    text-transform: uppercase;
}

.pharmacy-detail__all-promotions {
    font-size: 16px;
    font-weight: 400;
    line-height: 18.75px;
    color: #FF0000;
    transition: opacity 0.3s ease
}

.pharmacy-detail__all-promotions:hover {
    opacity: 0.7;
}

.pharmacy-detail__promotions-slider .swiper-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(305px, 1fr));
    column-gap: 20px;
    row-gap: 20px;
}

.pharmacy-detail__promotion {
    overflow: hidden;
    border-radius: 8px;
}

.pharmacy-detail__promotion:hover img {
    transform: scale(1.05);
}

.pharmacy-detail__promotion img {
    width: 100%;
    height: auto;
    transition: transform 0.3s ease;
    border-radius: inherit;
}

@media (max-width: 1023px) {
    .pharmacy-detail {
        margin-bottom: 47px;
    }

    .pharmacy-detail .container {
        padding: 0 10px;
    }

    .pege-title h1{
        font-size: 30px!important;
        font-weight: 700!important;
        line-height: 35.16px!important;
        margin-bottom: 16px!important;
    }

    .pharmacy-detail__main {
        grid-template-columns: 1fr;
        row-gap: 20px;
        margin-bottom: 30px;
    }

    .pharmacy-detail .search_nearest_pharmacy {
        width: calc(100% + 20px);
        margin-left: -10px;
    }

    .pharmacy-detail__navigation {
        display: none;
    }

    .pharmacy-detail__list {
        row-gap: 12px;
        margin-bottom: 20px;
        -webkit-tap-highlight-color: rgba(0,0,0,0) !important;
        -webkit-tap-highlight-color: transparent!important;
    }

    .pharmacy-detail__item {
        font-size: 14px;
        line-height: 16.41px;
    }

    .pharmacy-detail__item svg {
        margin-top: -2px;
    }

    .pharmacy-detail__list--detail .pharmacy-detail__item,
    .pharmacy-detail__list--detail button.pharmacy-detail__favorite{
        font-size: 16px;
        line-height: 18.75px;
    }

    button.pharmacy-detail__favorite {
        font-size: 14px;
        line-height: 16.41px;
    }

    .pharmacy-detail .information {
        margin-top: 20px;
        width: calc(100% - 20px);
    }

    .pharmacy-detail__middle {
        margin-bottom: 40px;
    }

    .pharmacy-detail__others {
        font-size: 24px;
        line-height: 28.13px;
        margin-bottom: 20px;
    }

    .pharmacy-detail__slider .swiper-wrapper {
        flex-direction: column;
        row-gap: 20px;
    }

    .pharmacy-detail__top {
        margin-bottom: 17px;
    }

    .pharmacy-detail__promotions-title {
        font-size: 24px;
        line-height: 28.13px;
    }

    .pharmacy-detail__all-promotions {
        font-size: 14px;
        line-height: 16.41px!important;
    }

    .pharmacy-detail__promotions-slider {
        padding: 0 17.5px;
        overflow: visible;
    }

    .pharmacy-detail__promotions-slider .swiper-wrapper {
        display: flex;
        column-gap: 0;
        row-gap: 0;
    }
}
.pharmacy-detail__favorite .in_favorite_text,
.pharmacy-detail__favorite.is-active  .to_favorite_text{
    display: none;
}

.pharmacy-detail__favorite.is-active  .in_favorite_text {
    display: grid;
}